"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const rimraf_1 = require("rimraf");
const ncp_1 = require("ncp");
const util_1 = require("util");
exports.readFile = util_1.promisify(fs_1.default.readFile);
exports.writeFile = util_1.promisify(fs_1.default.writeFile);
exports.open = util_1.promisify(fs_1.default.open);
exports.readdir = util_1.promisify(fs_1.default.readdir);
function exists(path) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            yield exports.open(path, 'r');
            return true;
        }
        catch (e) {
            return false;
        }
    });
}
exports.exists = exists;
exports.remove = (path) => new Promise(resolve => {
    rimraf_1.default(path, () => {
        resolve();
    });
});
exports.move = (path1, path2) => new Promise((resolve, reject) => {
    ncp_1.ncp(path1, path2, (err) => __awaiter(this, void 0, void 0, function* () {
        if (err) {
            reject(err);
        }
        yield exports.remove(path1);
        resolve();
    }));
});
//# sourceMappingURL=files.js.map